html, body {
  overflow-x: hidden;
}

body {
  font-family: 'Noto Sans HK', sans-serif;
  margin-top: 40px;
  padding: 0;
}


.content-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start; 
  max-width: 1280px;
  margin: 0 auto;
  position: relative; /* Set relative positioning */
}

.text-container {
  margin-bottom: -120px; /* Adjust this value as needed to position closer to the music sheet */
  position: relative;
  left: 80px; /* Moves both headline and paragraph together */
  max-width: 400px; /* Optional: Set the maximum width */
  text-align: left; /* Align text to the left */
}

.titletext {
  width: 100%;
  text-align: left;
  margin-bottom: 20px;
  position: relative;
  left: 80px;
  color: #383B3C;
}

.headline {
  font-weight: 700;
  font-size: 40px;
  line-height: 50px;
}

.intro {
  max-width: 380px;
  text-align: left;
  margin-bottom: 20px;
  position: relative;
  z-index: 1; 
}

.number {
  color: #735BFC;
}

.statisticlist {
    list-style-type: none;
    margin: 0;
    padding: 0;
    font-weight: 400;
    font-size: 24px; 
    color: #B2B2B2;
}

.paragraph {
  font-family: 'Noto Sans HK', sans-serif;
  text-align: left;
}

#music-container {
  display: block;
  width: 100%;
  margin-top: 10px; /* Reduced margin to decrease the gap */
  position: relative;
}

svg {
  display: block;
  margin: 0 auto;
  max-width: 100%;
}


.staff-line {
  stroke: #B2B2B2;
  stroke-width: 1px;
}

.note-circle {
  fill: #383B3C;
}



.tooltip {
  position: absolute;
  text-wrap: wrap;
  width: 250px;
  padding: 5px;
  color: #383B3C;
  background-color: #FFFFFF;
  padding: 15px;
  border-radius: 5px;
  box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.3);
  border-radius: 5px;
  pointer-events: none;
  opacity: 0;
}

.date-label {
  font-size: 12px;
  fill: #B2B2B2;
}

.overview {
  font-family: 'Noto Sans HK', sans-serif;
  font-size: 20px;
  letter-spacing: 1px;
  text-align: center;
  display: flex;
  justify-content: center;
  background-color: #f0f0f0;
  padding-top: 20px;
  padding-bottom: 20px;
}

.genre {
  font-family: 'Noto Sans HK', sans-serif;
  font-weight: 700;
  font-size: 30px;
}

.row {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.column {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.mr-40 {
  margin-right: 40px;
}

.mtb-20 {
  margin-top: 20px;
  margin-bottom: 20px;
}

/*.ticket-baao-2016-11 {
  position: absolute;
  max-width: 15%;
  max-height: 15%;
  top: 0;
  left: 60em;
  transform: rotate(15deg);
}


.band-summerblast-2016{
  position: absolute;
  max-width: 30%;
  max-height: 30%;
  top: 5em;
  left: 30em;
  transform: rotate(-110deg);
}

.impericon-leipzig{
  position: absolute;
  max-width: 20%;
  max-height: 20%;
  top: 35em;
  left: -2em;
  transform: rotate(10deg);
}*/

.concert-tickets {
  max-width: 75%;
  max-height: 75%;
  margin: 0 auto;
  display: block;
}

.abstract-map {
  max-width: 60%;
  max-height: 60%;
  margin: 0 auto;
  display: block;
}

.photo-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, 200px); /* Fixed column size */
  grid-auto-rows: 200px; /* Fixed row size */
  /*gap: 20px; *//* Uniform gap between grid items */
  justify-content: center; /* Centers the grid items horizontally */
  margin: 40px auto; /* Centers the grid within the container */
}

.photo-grid-item {
  position: relative;
  width: 200px; /* Fixed width */
  height: 200px; /* Fixed height */
  background-color: #f0f0f0; /* White background */
  /*border-radius: 8px;*/
  overflow: hidden;
  cursor: pointer;
}

.photo-grid-item img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Ensures image covers the whole area */
}

.hover-info {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
  font-size: 18px;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
}

.photo-grid-item:hover .hover-info {
  opacity: 1;
}

.photo-grid-item:hover {
  background-color: #f0f0f0; /* Change background on hover */
}
